Elimina todos los registros del catálogo
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Catalogs
Elimina todos los registros del catálogo
Elimina todos los registros del catálogo de datos, pero conserva el catálogo y su estructura de columnas. Esta operación no se puede deshacer. Después de borrar y volver a rellenar el catálogo, inicie una operación de reindexación para que los skills busquen en los datos actualizados.
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
clear
Elimina todos los registros del catálogo
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
Identificador de catálogo. Puede encontrarlo en la lista de catálogos.
Respuesta
Se han eliminado correctamente todos los registros del catálogo
¿Esta página le ayudó?
